summaryrefslogtreecommitdiff
path: root/dev-python/stevedore
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/stevedore
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/stevedore')
-rw-r--r--dev-python/stevedore/Manifest2
-rw-r--r--dev-python/stevedore/metadata.xml14
-rw-r--r--dev-python/stevedore/stevedore-5.7.0.ebuild49
-rw-r--r--dev-python/stevedore/stevedore-5.8.0.ebuild49
4 files changed, 114 insertions, 0 deletions
diff --git a/dev-python/stevedore/Manifest b/dev-python/stevedore/Manifest
new file mode 100644
index 000000000000..61c37640340d
--- /dev/null
+++ b/dev-python/stevedore/Manifest
@@ -0,0 +1,2 @@
+DIST stevedore-5.7.0.tar.gz 516200 BLAKE2B b08b135c1c2dd400cb286814638ebcaabffafd3b7fd6bcc27688d329f57fbdd5c9cf03b1101e8eb448fd88ff2a74526f1e39a03f396edcc1081d8cc3ab836ee8 SHA512 1abb448332e1a790acacc5e71fff2fcc1203ec52504ce03d103980f134b73cca41de1675873741bab6725bd8510867dff15b473dce3966bb9f3504780235dc40
+DIST stevedore-5.8.0.tar.gz 514710 BLAKE2B 905fe75ba6ba85be25a1a6761dd31a5c802d80c0532f59562e489b39eda91ec83c2dcc61320f7b8040f5c4ab39130ac253a8dd88c335fcda8ae727032cdec340 SHA512 f11aff48fb3cc66c4319ceeeaf8aff316cc0047021a28d3976f527b7321fe204faab414e4793dd93d82edd8d11391600ea8479cc6da2115fa7189d4f48b7ffad
diff --git a/dev-python/stevedore/metadata.xml b/dev-python/stevedore/metadata.xml
new file mode 100644
index 000000000000..f8968780a503
--- /dev/null
+++ b/dev-python/stevedore/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>openstack@gentoo.org</email>
+ <name>Openstack</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/stevedore/stevedore-5.7.0.ebuild b/dev-python/stevedore/stevedore-5.7.0.ebuild
new file mode 100644
index 000000000000..d7f2690bc3a2
--- /dev/null
+++ b/dev-python/stevedore/stevedore-5.7.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage dynamic plugins for Python applications"
+HOMEPAGE="
+ https://opendev.org/openstack/stevedore/
+ https://github.com/openstack/stevedore/
+ https://pypi.org/project/stevedore/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~mips ~ppc64 ~riscv ~s390 ~sparc x86"
+
+BDEPEND="
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+distutils_enable_sphinx 'doc/source' \
+ '>=dev-python/openstackdocstheme-1.18.1' \
+ '>=dev-python/reno-2.5.0' \
+ '>=dev-python/sphinx-2.0.0'
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also fails in venv
+ stevedore/tests/test_cache.py::TestCache::test_disable_caching_file
+ )
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/sphinx[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ stevedore/tests/test_sphinxext.py
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/stevedore/stevedore-5.8.0.ebuild b/dev-python/stevedore/stevedore-5.8.0.ebuild
new file mode 100644
index 000000000000..16569141fa9b
--- /dev/null
+++ b/dev-python/stevedore/stevedore-5.8.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage dynamic plugins for Python applications"
+HOMEPAGE="
+ https://opendev.org/openstack/stevedore/
+ https://github.com/openstack/stevedore/
+ https://pypi.org/project/stevedore/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+distutils_enable_sphinx 'doc/source' \
+ '>=dev-python/openstackdocstheme-1.18.1' \
+ '>=dev-python/reno-2.5.0' \
+ '>=dev-python/sphinx-2.0.0'
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also fails in venv
+ stevedore/tests/test_cache.py::TestCache::test_disable_caching_file
+ )
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/sphinx[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ stevedore/tests/test_sphinxext.py
+ )
+ fi
+
+ epytest
+}